# Always
scoreboard objectives add death deathCount
scoreboard objectives add Gdeath deathCount
scoreboard objectives add timer dummy
scoreboard objectives add level dummy
scoreboard objectives add timer_scb dummy
scoreboard objectives setdisplay sidebar death
gamerule doLimitedCrafting true
gamerule commandBlockOutput false

function game:gm_scb_display
scoreboard players add @a[tag=time] timer 1
scoreboard players remove @a[tag=emit] timer 1
execute as @a[scores={Gdeath=1..}] at @s run function game:play_death
execute as @a at @s unless entity @s[scores={level=0..}] run scoreboard players set @s level 0
title @a[tag=time] actionbar [{"text":"TIME: ","color":"black"},{"score":{"name":"*","objective":"timer"},"color":"dark_red"},{"text":" / 300","color":"dark_red"},{"text":" [>] REC","color":"red"}]
title @a[tag=emit] actionbar [{"text":"TIME: ","color":"black"},{"score":{"name":"*","objective":"timer"},"color":"green"},{"text":" / 300","color":"green"},{"text":" [<] REW","color":"yellow"}]
kill @a[scores={timer=300..}]

execute as @e[type=minecraft:item_frame] at @s if entity @s[nbt={Item:{Count:1b}}] run data merge entity @s {Invulnerable:0b}
execute as @e[type=minecraft:item_frame] at @s unless entity @s[nbt={Item:{Count:1b}}] run data merge entity @s {Invulnerable:1b}


# Start Levels
execute as @a[x=-216,y=9,z=95,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_0
execute as @a[x=-216,y=9,z=103,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_1
execute as @a[x=-216,y=9,z=111,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_2
execute as @a[x=-216,y=9,z=121,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_3
execute as @a[x=-216,y=9,z=129,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_4
execute as @a[x=-216,y=9,z=137,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_5
execute as @a[x=-216,y=13,z=152,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_6
execute as @a[x=-216,y=13,z=172,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_7
execute as @a[x=-216,y=13,z=183,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_8
execute as @a[x=-216,y=13,z=191,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_9
execute as @e[type=player,x=-214.5,y=13,z=198.5,distance=..1] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_10
execute as @e[type=player,x=-216.5,y=13,z=198.5,distance=..1] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_11
execute as @e[type=player,x=-215.5,y=13,z=199.5,distance=..1] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_green_end
execute as @a[x=-216,y=13,z=207,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_12
execute as @a[x=-216,y=38,z=235,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_13
execute as @a[x=-216,y=38,z=243,distance=..2] at @s if block ~ ~-1 ~ minecraft:gold_block run function start:sta_level_14


# Accept Levels
execute as @a[x=-216,y=9,z=102,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_0
execute as @a[x=-216,y=9,z=110,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_1
execute as @a[x=-216,y=9,z=120,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_2
execute as @a[x=-216,y=9,z=128,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_3
execute as @a[x=-216,y=9,z=136,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_4
execute as @a[x=-216,y=13,z=151,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_5
execute as @a[x=-216,y=13,z=171,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_6
execute as @a[x=-216,y=13,z=182,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_7
execute as @a[x=-216,y=13,z=190,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_8
execute as @a[x=-216,y=13,z=198,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_9
execute as @a[x=-203,y=13,z=191,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_10
execute as @a[x=-220,y=13,z=194,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_11
execute as @a[x=-216,y=13,z=206,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_green_end
execute as @a[x=-216,y=17,z=226,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_12
execute as @a[x=-216,y=38,z=242,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_13
execute as @a[x=-216,y=38,z=252,distance=..2] at @s if block ~ ~-1 ~ minecraft:diamond_block run function accept:acp_level_14



# Level 5
data merge block -214 9 142 {BrewTime:1s}
data merge block -214 9 142 {Fuel:20b}
execute if block -214 9 142 minecraft:brewing_stand{Items:[{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:leaping"}}]} run tag @a add tag1
execute if block -214 9 142 minecraft:brewing_stand{Items:[{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:leaping"}}]} run tag @a remove tag4
execute if block -214 9 142 minecraft:brewing_stand{Items:[{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:mundane"}}]} run tag @a[tag=!tag1] add tag4


# Level 7
execute if blocks -217 11 177 -215 11 179 -211 8 173 all run fill -217 15 180 -215 13 180 air destroy

# Level 10
particle minecraft:barrier -206 10.5 199 0 0 0 1 1 force

# Level 11
execute as @a[x=-223,y=13,z=198,dx=-1,dy=-13,dz=0] at @s run tag @s remove time
execute as @a[x=-223,y=13,z=198,dx=-1,dy=-13,dz=0] at @s run tag @s add emit

execute as @a[x=-223,y=13,z=198,dx=-1,dy=-13,dz=0] at @s run title @a times 0 200 0
execute as @a[x=-223,y=13,z=198,dx=-1,dy=-13,dz=0] at @s run title @a title {"text":"WASTED","color":"dark_red"}
execute as @a[x=-223,y=-1,z=198,dx=-1,dy=-63,dz=0] at @s run title @a title {"text":"This map is made by Yoooooory!!","color":"dark_red"}
execute as @a[x=-223,y=-65,z=198,dx=-1,dy=-200,dz=0] at @s run title @a title {"text":"V I C T O R Y","color":"dark_red"}
execute as @a[x=-223,y=13,z=198,dx=-1,dy=-1,dz=0] at @s run title @a subtitle {"text":"You are already dead.","color":"dark_green"}
execute as @a[x=-223,y=11,z=198,dx=-1,dy=-1,dz=0] at @s run title @a subtitle {"text":"Time is passing...","color":"dark_green"}
execute as @a[x=-223,y=9,z=198,dx=-1,dy=-1,dz=0] at @s run title @a subtitle {"text":"Some people are alive, but he is already dead...","color":"dark_green"}
execute as @a[x=-223,y=7,z=198,dx=-1,dy=-1,dz=0] at @s run title @a subtitle {"text":"Today the sky is very blue...","color":"dark_green"}
execute as @a[x=-223,y=5,z=198,dx=-1,dy=-1,dz=0] at @s run title @a subtitle {"text":"Even 15 seconds can't save you...","color":"dark_green"}
execute as @a[x=-223,y=3,z=198,dx=-1,dy=-1,dz=0] at @s run title @a subtitle {"text":"Waiting...","color":"dark_green"}
execute as @a[x=-223,y=1,z=198,dx=-1,dy=-1,dz=0] at @s run title @a subtitle {"text":"You are going to succeed!!","color":"dark_green"}
execute as @a[x=-223,y=-1,z=198,dx=-1,dy=-63,dz=0] at @s run title @a subtitle {"text":"You are going to win!!","color":"dark_green"}
execute as @a[x=-223,y=-65,z=198,dx=-1,dy=-200,dz=0] at @s run title @a subtitle {"text":"You win!!","color":"dark_green"}

execute as @a[x=-227,y=10,z=200,dx=0,dy=-10,dz=0] at @s run tag @s remove time
execute as @a[x=-227,y=10,z=200,dx=0,dy=-10,dz=0] at @s run tag @s add emit

execute as @a[x=-227,y=10,z=200,dx=0,dy=-10,dz=0] at @s run title @a times 0 200 0
execute as @a[x=-227,y=10,z=200,dx=0,dy=-10,dz=0] at @s run title @a title {"text":"WASTED","color":"dark_red"}
execute as @a[x=-227,y=10,z=200,dx=0,dy=-10,dz=0] at @s run title @a subtitle {"text":"You are already dead, again.","color":"dark_green"}

# Level GREEN
execute if blocks -216 11 202 -216 11 202 -216 8 202 all run fill -215 15 204 -217 13 204 air destroy

# Fly Tag
effect give @a[tag=fly] minecraft:levitation 1 0 true
effect clear @a[tag=!fly] minecraft:levitation
tag @a remove fly
execute as @a[x=-216,y=17,z=219,dx=0,dy=3,dz=0,nbt={SelectedItem:{id:"minecraft:cyan_stained_glass_pane"}}] at @s run tag @s add fly
execute as @a[x=-216,y=17,z=230,dx=0,dy=22,dz=0,nbt={SelectedItem:{id:"minecraft:cyan_stained_glass_pane"}}] at @s run tag @s add fly

# Level 12
execute if entity @a[x=-217,y=15,z=217,distance=..3] run fill -218 16 216 -216 14 218 air replace minecraft:green_concrete
execute if entity @a[x=-217,y=15,z=217,distance=..3] run setblock -217 15 217 air
execute unless entity @a[x=-217,y=15,z=217,distance=..3] run clone -228 10 216 -226 8 218 -218 14 216 masked

# Level 13
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:lever",tag:{uunb:1}}]}] at @s run replaceitem entity @s weapon.offhand lever{display:{Name:"{\"text\":\"Key\",\"color\":\"green\",\"italic\":false}"},CanPlaceOn:["minecraft:emerald_block"]}

# Level 14
execute as @a[scores={level=14},nbt={Inventory:[{Slot:103b,id:"minecraft:carved_pumpkin",Count:1b}]}] at @s run fill -215 40 250 -217 38 250 air destroy
execute as @a[scores={level=14},nbt={Inventory:[{Slot:103b,id:"minecraft:carved_pumpkin",Count:1b}]}] at @s run data merge block -214 39 249 {Text3:"{\"text\":\"WELCOME\",\"color\":\"dark_red\"}"}
execute as @a[scores={level=14},nbt={Inventory:[{Slot:103b,id:"minecraft:carved_pumpkin",Count:1b}]}] at @s run data merge block -218 39 249 {Text3:"{\"text\":\"WELCOME\",\"color\":\"dark_red\"}"}